<template>
  <v-card :to="`/projects?category=${id}`" flat tile class="category">
    <v-card-title class="d-none d-md-block category-title main-text-color-2 title font-weight-bold pb-0">
      {{title}}
    </v-card-title>

    <v-card-text class="d-flex align-center pt-4">
      <div class="category-icon mr-4">
        <v-img
          v-if="icon"
          :src="require(`../assets/img/${icon}`)"
          :width="$vuetify.breakpoint.xs ? 50 : 85"
          contain
          transition="scale-transition"
        />
      </div>

      <div class="d-flex flex-column">
        <div class="d-block d-md-none category-title main-text-color-2 title font-weight-bold pb-0">
          {{title}}
        </div>

        <div class="category-info d-flex flex-row flex-md-column">
          <div class="d-none d-md-block display-2 font-weight-bold main-text-color mb-0">
            {{count}}
          </div>
          <div class="bottom-title d-flex flex-row align-center">
            <v-img
              src="../assets/img/useful-icon-1.png"
              contain
              width="30"
              class="mr-2"
            />
            <div class="d-block d-md-none display-2 font-weight-bold main-text-color mb-0 mr-2">
              {{count}}
            </div>
            <span class="subtitle-1 font-weight-medium main-text-color-2 align-self-end align-self-md-center">полезных дел</span>
          </div>
        </div>
      </div>
    </v-card-text>
  </v-card>
</template>
<script>
  export default {
    name: 'CategoryStatus',
    props: {
      id: Number,
      title: String,
      icon: String,
      count: Number,
    },
  };
</script>

<style scoped>
  .category {
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.3);
  }

  .bottom-title .subtitle-1 {
    font-size: 1.2rem;
  }

  @media screen and (max-width: 600px){
    .category-info .display-2 {
      font-size: 2.5rem !important;
    }
  }
</style>
